classification
Title: Typo in section 6 of the Python 3.4 documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Rares Aioanei, berker.peksag, docs@python, josh.r, martin.panter, mdk, ned.deily, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2016-11-28 12:47 by Rares Aioanei, last changed 2016-12-10 06:55 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
issue28820.diff mdk, 2016-11-28 13:51 review
issue28820-2.diff mdk, 2016-11-29 10:10 review
Messages (11)
msg281870 - (view) Author: Rares Aioanei (Rares Aioanei) Date: 2016-11-28 12:47
In section 6.4.1. it's said "Although certain modules are designed to export only names that follow certain patterns when you use import *, it is still considered bad practise in production code." "practise" should be "practice", as it's a noun.
msg281875 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2016-11-28 13:51
Hi Rares thanks for reporting.

While building a patch for this issue I found another occurrence of the error.
msg281923 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-11-28 23:30
Thanks, this looks good to me, although let’s not touch the blank line at the end of the file.
msg281976 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2016-11-29 10:10
Hi Martin,

Removed the removing of the double new line at end of file.
msg282043 - (view) Author: Josh Rosenberg (josh.r) * (Python triager) Date: 2016-11-29 20:36
Just OOC, what version of English are the docs supposed to use? In American English, noun vs. verb doesn't matter, it's always "practice" (there is no such word as "practise").

In this case it doesn't matter (it's a noun, and everyone agrees on the spelling), but is there a defined standard?
msg282045 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-11-29 20:43
We at least used to point to Apple's style guide.  I'm not sure where we point at the moment (it's in the documentation somewhere :).  But yes, it's pretty much formal American English, though I'm sure there are places where other spelling has crept in.
msg282072 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-30 10:21
New changeset 4f24641cd030 by Martin Panter in branch '2.7':
Issue #28820: Fix spelling of “practice” as a noun
https://hg.python.org/cpython/rev/4f24641cd030
msg282073 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-11-30 10:34
I’m waiting for the 3.6 release candidate before pushing to the Py 3 branches.
msg282121 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-12-01 00:39
Ned can correct me if I'm wrong, but you can push documentation patches without waiting for 3.6.0rc1.
msg282128 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-12-01 02:28
Yes, there is no restriction on doc changes at the moment as long as they are relevant to 3.6.0.
msg282828 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-10 05:40
New changeset 8e36c04d0e3e by Martin Panter in branch '3.5':
Issue #28820: Fix spelling of “practice” as a noun
https://hg.python.org/cpython/rev/8e36c04d0e3e

New changeset e9b78a42e6c0 by Martin Panter in branch '3.6':
Issue #28820: Merge spelling fixes from 3.5
https://hg.python.org/cpython/rev/e9b78a42e6c0

New changeset d786c620838c by Martin Panter in branch 'default':
Issue #28820: Merge typo fixes from 3.6
https://hg.python.org/cpython/rev/d786c620838c
History
Date User Action Args
2016-12-10 06:55:54martin.pantersetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-12-10 05:40:05python-devsetmessages: + msg282828
2016-12-01 02:28:15ned.deilysetnosy: + ned.deily
messages: + msg282128
2016-12-01 00:39:41berker.peksagsetnosy: + berker.peksag
messages: + msg282121
2016-11-30 10:34:13martin.pantersetmessages: + msg282073
2016-11-30 10:21:14python-devsetnosy: + python-dev
messages: + msg282072
2016-11-29 20:43:32r.david.murraysetnosy: + r.david.murray
messages: + msg282045
2016-11-29 20:36:56josh.rsetnosy: + josh.r
messages: + msg282043
2016-11-29 10:10:10mdksetfiles: + issue28820-2.diff

messages: + msg281976
2016-11-28 23:30:01martin.pantersetversions: + Python 2.7, Python 3.5, Python 3.6, Python 3.7, - Python 3.4
nosy: + martin.panter

messages: + msg281923

stage: commit review
2016-11-28 13:51:03mdksetfiles: + issue28820.diff

nosy: + mdk
messages: + msg281875

keywords: + patch
2016-11-28 12:47:25Rares Aioaneicreate